import { MasterCSS } from '@master/css';
import type { Config } from '@master/css';
import './types/global';
export declare class RuntimeCSS extends MasterCSS {
    root: Document | ShadowRoot | undefined | null;
    customConfig: Config;
    readonly host: Element;
    readonly observing = false;
    readonly progressive = false;
    readonly container: HTMLElement | ShadowRoot;
    observer?: MutationObserver | null;
    constructor(root?: Document | ShadowRoot | undefined | null, customConfig?: Config);
    /**
     * Observe the DOM for changes and update the running stylesheet. (browser only)
     * @param options mutation observer options
     * @returns this
     */
    observe(options?: MutationObserverInit): this;
    refresh(customConfig?: Config): this;
    reset(): this;
    disconnect(): this;
    destroy(): this;
}
export declare const runtimeCSSs: RuntimeCSS[];
